/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.reflection.mock;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
@SuppressWarnings("PMD")
public class Bean1 {
    
    public final int width;
    public int height;
    private int hellovalue;

    public Bean1(int width, int height, int hello) {
        this.width = width;
        this.height = height;
        this.hellovalue = hello;
    }

    public int getHello() {
        return hellovalue;
    }

    public void setHello(int v) {
        hellovalue = v;
    }
    
    public void setName(String value) {
        // do nothing
    }
    
    public int getNumber() {
        return 77;
    }
}
